<?php

class appCallbackBackendActions extends stActions
{

    public function executeIndex()
    {
        
        $i18n = $this->getContext()->getI18N();

        $this->config = stConfig::getInstance('appCallbackBackend');
        
        $this->config->setCulture($this->getRequestParameter('culture', stLanguage::getOptLanguage()));
        
        if ($this->getRequest()->getMethod() == sfRequest::POST)
        {
 
            $this->config->set('enable', $this->getRequestParameter('callback[enable]'));

            $this->config->set('callback_id', $this->getRequestParameter('callback[callback_id]'), true);

            $this->config->save();

            stFastCacheManager::clearCache();
            
            $this->setFlash('notice', $i18n->__('Twoje zmiany zostały zapisane', null, 'stAdminGeneratorPlugin'));
            
            $this->redirect('appCallbackBackend/index?culture=' . $this->getRequestParameter('culture', stLanguage::getOptLanguage()));
        }

        if ($this->config->get('fb_id', $this->getRequestParameter('callback[fb_id]'), true) != '')
        {

            $this->configuration_check = true; 

        } else {

            $this->configuration_check = false;
            
        }
        
        $this->config->load();

    }

}