<?php

class appCallbackFrontendComponents extends sfComponents
{
    public function executeCallback()
    {
        $config = stConfig::getInstance(sfContext::getInstance(), 'appCallbackBackend');
        
        $this->callbackConfig = $config->load();

        $this->callbackConfig['callback_id'] = $config->get('callback_id', null, true);

        
        if ($this->callbackConfig['enable'] != 1 || $this->callbackConfig['callback_id'] == '') 
        {
            
            return sfView::NONE;
            
        }

        $this->smarty = new stSmarty('appCallbackFrontend');
        
    }
    
}